Subject: Re: Git User's Survey 2007 unfinished summary continued

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 15 Oct 2007 19:20:17 -0400

Nicolas Pitre <[email-masked]> wrote:
> BTW I have patches here reworking the progress code for a more compact 
> display which should mitigate this issue quite a bit.

git-gui is scraping the output of the current progress meter using
a regex and then building a graphical progress bar from that output.

Any change in how git produces the progress bar should still keep
it in a form that git-gui can regex match and scrape, preferably
without needing to know what version of git it is pulling that
output from.  For example just teach git-gui to try two different
regexps, new format and if that doesn't match then try the old
(aka current) format.

-- 
Shawn.